## debian-reference 2.68

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
#######################################################################
### key adjustable parameters
#######################################################################
# base file name excluding file extension
MANUAL	:=	debian-reference
# languages translated with PO files
# This can list more than debian/rules for translator to check the result
LANGPO	:=	ja fr it pt de zh-cn zh-tw es 
# languages to skip generation of PDF files (not used now)
NOPDF	:=	pt
# languages to build document
LANGALL	=	en $(LANGPO)

# Chenge at the last moment (this package is part of web page)
#RELEASE_STATE := testing
RELEASE_STATE := stable

ifndef TMPDIR
TMPDIR	:= $(CURDIR)/tmp
endif

# Change $(DRAFTMODE) from "yes" to "maybe" when this document 
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DASC	:=	asciidoc
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# work around https://bugs.debian.org/725931
PERL_PERTURB_KEYS := 0
export PERL_PERTURB_KEYS
PERL_HASH_SEED := 0
export PERL_HASH_SEE

# Program name and option
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	xsltproc --novalid --nonet --xinclude
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
DBLATEX	:=	dblatex

# Debian packge archive URL
#DEBM	:=	http://ftp.us.debian.org/debian/dists
DEBM	:=	http://ftp.jp.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	http://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental

# cached data removed for package related to remotely fetched data
RCACHE	:=      all-popcon-results.txt packages.txt packages.bkup.txt pkg.lst
# AsciiDoc source file names in $(DASC) directories for local update
ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
		07_xwindow.txt 08_i18nl10n.txt 09_systips.txt 10_datamngt.txt \
		11_dataconv.txt 12_program.txt 99_appendix.txt \
		copyright.txt header1.txt header2.txt $(MANUAL).txt
# source asciidoc files (local asciidoc conversion script used for stability)
SRC_ASC :=	$(addprefix $(DASC)/, $(ASC_NM))
# source XML inclusion files (excluding common.ent)
ENT_STAT:=	datadatepop.ent datadatesize.ent popcon.ent pkgsize.ent
ENT_ALL	:=	$(ENT_STAT) common.ent
# source PO files for all languages (build prcess requires these)
SRC_PO	:=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
# source XML files for all languages (build prcess requires these)
SRC_XML	:=	$(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))

#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef

#######################################################################
# $ make all       # build all
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt epub pdf
	cat fuzzy.log

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: test
test: html css

#######################################################################
# $ make publish   # build html text from RAWXML/PO for DDP
#######################################################################
.PHONY: package
# $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
publish:
	-mkdir -p $(PUBLISHDIR)/$(MANUAL)
	$(MAKE) css html txt "TMPDIR=$(PUBLISHDIR)/$(MANUAL)"

#######################################################################
# $ make clean     # clean files ready for tar 
#######################################################################
.PHONY: clean
clean:
	-rm -f *.swp *~ *.tmp
	-rm -f $(DPO)/*~ $(DPO)/*.mo $(DPO)/*.po.*
	-rm -f $(DASC)/*~
	-rm -rf $(TMPDIR) $(CURDIR)/tmp
	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(MANUAL).en.xml $(MANUAL).en.xmlt header.txt
	-rm -f $(RCACHE)

#######################################################################
# $ make distclean # clean files to reset RAWXML/ENT/POT
#######################################################################
.PHONY: distclean
distclean: clean
	-rm -f $(MANUAL).raw.xml
	-rm -f $(ENT_ALL)
	-rm -f $(DPO)/*.pot
	-rm -f fuzzy.log

#######################################################################
# $ make rawxml    # update RAWXML from ASCIIDOC
#######################################################################
.PHONY: rawxml
rawxml: $(MANUAL).raw.xml

# This needs to be run under testing/unstable manually
$(MANUAL).raw.xml: $(SRC_ASC)
	@$(call check-command, python, python)
	@$(call check-command, xmllint, xmllint)
	echo "# This is autogenerated by Makefile.  Update this with \"make rawxml\""  >  $(DBIN)/replace_package
	echo "s/@emacs@/$(shell apt-cache search -n '^emacs[0-9]+$$'|cut -d' ' -f1|grep -v -e '-'|sort -n|tail -1)/"  >>  $(DBIN)/replace_package
	echo "s/@libpoppler@/$(shell apt-cache search -n '^libpoppler[0-9]+$$'|cut -d' ' -f1|sort -n|tail -1)/"       >> $(DBIN)/replace_package
	echo "s/@libgstreamer@/$(shell apt-cache search -n '^libgstreamer[-.0-9]+$$'|cut -d' ' -f1|sort -n|tail -1)/"       >> $(DBIN)/replace_package
	echo "s/@libphonon@/$(shell apt-cache search -n '^libphonon[-.0-9]+$$'|cut -d' ' -f1|sort -n|tail -1)/"       >> $(DBIN)/replace_package
	$(DBIN)/asciidoc -a 'newline=\n' -o - $(DASC)/$(MANUAL).txt |\
	sed -e "/<\/author>/r $(DASC)/copyright.txt" |\
	$(XLINT) -  |\
	sed -f $(DBIN)/replace_package |\
	sed -f $(DBIN)/replace > $(MANUAL).raw.xml

#######################################################################
# $ make entity    # update ENT and local cache data from RAWXML/REMOTE
#######################################################################
# This ensures not to run remote except by manually
$(ENT_STAT):
	@echo "******** You are missing ENTITY files *******"
	@echo "	$(ENT_STAT)"
	@echo "*********************************************"
	@echo " run \"make entity\""
	@echo "*********************************************"
	@false


common.ent: $(MANUAL).raw.xml
	# Release for package match with actual situation
	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  common.ent
	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
ifeq ($(RELEASE_STATE),stable)
	echo "<!ENTITY codename-stable  \"stretch\">"			>> common.ent
	echo "<!ENTITY Codename-stable  \"Stretch\">"                   >> common.ent
	echo "<!ENTITY codename-testing  \"buster\">"		>> common.ent
	echo "<!ENTITY Codename-testing  \"Buster\">"		>> common.ent
	echo "<!ENTITY codename-nexttesting  \"bullseye\">"		>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"Bullseye\">"		>> common.ent
else
	echo "<!ENTITY codename-stable   \"jessie\">"			>> common.ent
	echo "<!ENTITY Codename-stable   \"Jessie\">"                  >> common.ent
	echo "<!ENTITY codename-testing  \"stretch\">"			>> common.ent
	echo "<!ENTITY Codename-testing  \"Stretch\">"                   >> common.ent
	echo "<!ENTITY codename-nexttesting  \"buster\">"		>> common.ent
	echo "<!ENTITY Codename-nexttesting  \"Buster\">"		>> common.ent
endif
	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent

.PHONY: entity
entity: rawxml
	@$(call check-command, wget, wget)
	@$(call check-command, xsltproc, xsltproc)
	@$(call check-command, grep-dctrl, dctrl-tools)
	# PACKAGE (sid)
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.xz   | xzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp
	cat packages.main packages.contrib packages.non-free >packages.txt
	#
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"			>  datadatesize.ent
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"	>> datadatesize.ent
	echo "<!ENTITY pkgsize-date \"$(shell date -u +'%F %T %Z')\">"					>> datadatesize.ent
	rm packages.main packages.contrib packages.non-free
	# PACKAGE (experimental)
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.bkup.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.bkup.tmp > packages.bkup.txt
	rm packages.bkup.tmp
	# PACKAGE LIST of packages mentioned in the source XML
	$(XPNO) $(DXSL)/pkg.xsl $(MANUAL).raw.xml > pkg.lst
	# ENT for package size
	sort pkg.lst | uniq | $(DBIN)/sizeent packages.txt packages.bkup.txt	> pkgsize.ent
	# POPCON
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent
	echo "<!ENTITY pop-submissions \"$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  popcon.ent
	echo "<!ENTITY pop-architectures \"$$(grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">"			>> popcon.ent
	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-results.txt | wc -l)\">"				>> popcon.ent
	TOTAL=$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt) ;\
	grep -e '^Package:' all-popcon-results.txt | grep -f pkg.lst | $(DBIN)/popconent $$TOTAL				>> popcon.ent

#######################################################################
# $ make po        # update all PO from RAWXML
#######################################################################
.PHONY: po pot
pot: $(DPO)/templates.pot
po: $(SRC_PO)

# Do not record line number to avoid useless diff in po/*.po files: --no-location
# Do not update templates.pot if contents are the same as before; -I '^"POT-Creation-Date:'
$(DPO)/templates.pot: $(MANUAL).en.xmlt FORCE
	@$(call check-command, po4a-gettextize, po4a)
	@$(call check-command, msgcat, gettext)
	$(GETTEXT) -m $(MANUAL).en.xmlt | \
sed -e 's,^"Content-Type: text/plain; charset=CHARSET\\n"$$,"Content-Type: text/plain; charset=UTF-8\\n",' |\
	$(MSGCAT) --no-location -o $(DPO)/templates.pot.new -
	if diff -I '^"POT-Creation-Date:' -q $(DPO)/templates.pot $(DPO)/templates.pot.new ; then \
	  echo "Don't update templates.pot" ;\
	  touch $(DPO)/templates.pot ;\
	  rm -f $(DPO)/templates.pot.new ;\
	else \
	  echo "Update templates.pot" ;\
	  mv -f $(DPO)/templates.pot.new $(DPO)/templates.pot ;\
	fi
	: > fuzzy.log

# Always update
$(DPO)/%.po: $(DPO)/templates.pot FORCE
	@$(call check-command, msgmerge, gettext)
	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
	$(DBIN)/fuzzypo $(DPO)/$*.po >>fuzzy.log

FORCE:

#######################################################################
# $ make wrap       # wrap all PO

=== debian/changelog ===
debian-reference (2.68) unstable; urgency=medium

  * Add pdf support to all but pt. Closes: #660298
  * More robust POT generation.
  * Update package dependency.

 -- Osamu Aoki <osamu@debian.org>  Sat, 06 May 2017 23:16:56 +0900

debian-reference (2.67) unstable; urgency=medium

  * Update all translations. 

 -- Osamu Aoki <osamu@debian.org>  Wed, 26 Apr 2017 23:03:21 +0900

debian-reference (2.66) unstable; urgency=medium

  * Update Italian, Spanish, and Chinese translations. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 01 Apr 2017 01:59:12 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 9.0)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     libopencc2-data,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libxml2-utils,
                     locales-all | locales,
                     opencc,
                     po4a,
                     python,
                     texlive-lang-chinese,
                     texlive-lang-english,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-japanese,
                     texlive-lang-portuguese,
                     texlive-lang-spanish,
                     texlive-xetex,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 3.9.8
Vcs-Git: https://alioth.debian.org/anonscm/git/ddp/debian-reference.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
Homepage: https://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: calibre, mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: debian-reference-en, ${misc:Depends}
Recommends: debian-reference-fr,
            debian-reference-it,
            debian-reference-ja,
            debian-reference-pt,
            debian-reference-zh-cn,
            debian-reference-zh-tw
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-de
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The German translation.

Package: debian-reference-fr
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-it
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-pt
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.

Package: debian-reference-zh-cn
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Chinese (Simplified) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Simplified) translation.

Package: debian-reference-zh-tw
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Chinese (Traditional) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Traditional) translation.

Package: debian-reference-es
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: debian-reference-en, doc-base
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Spanish translation.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------


## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1
## comment out to build with the cleaner log (it slows!)
BUILDOPT:=	 --parallel

## ----------------------------------------------------------------------
# Package building language choice
# (This should be updated with the maintainer approval)
#
MANUAL	:=	debian-reference
LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
LANGPO	:=	   ja fr it pt de zh-cn zh-tw es

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp all.preinst-in   $(MANUAL)-common.preinst ; \
	cp all.postinst-in  $(MANUAL)-common.postinst ; \
	for XX in $(LANGALL) ; do \
	  cp all.preinst-in   $(MANUAL)-$${XX}.preinst ; \
	  cp all.postinst-in  $(MANUAL)-$${XX}.postinst ; \
	  cp all.postrm-in    $(MANUAL)-$${XX}.postrm ; \
	  case $$XX in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt) LANGX="Portuguese (Portugal)" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	    id) LANGX="Bahasa Indonesia" ;; \
	    *) LANGX="$$x" ;; \
	  esac ; \
	  sed  -e "s/@@/$$XX/" < all.links-in  >$(MANUAL)-$${XX}.links ; \
	  sed  -e "s/@@/$$XX/" < all.install-in  >$(MANUAL)-$${XX}.install ; \
	  sed  -e "s/@@/$$XX/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
	done
	dh_auto_build $(BUILDOPT) -- "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)" all


override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_test:
	: # no need to test build html pages

override_dh_auto_clean:
	# Clean files for debhelper in debian/
	-rm -f $(MANUAL)-common.preinst  $(MANUAL)-common.postinst
	-rm -f $(addsuffix .preinst,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .links,    $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .install,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	$(MAKE) "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"  clean

## debian-reference 2.72

=== Makefile ===
--- 
+++ 
@@ -8,18 +8,24 @@
 MANUAL	:=	debian-reference
 # languages translated with PO files
 # This can list more than debian/rules for translator to check the result
-LANGPO	:=	ja fr it pt de zh-cn zh-tw es 
+LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb
 # languages to skip generation of PDF files (not used now)
-NOPDF	:=	pt
+NOPDF	:=	
 # languages to build document
 LANGALL	=	en $(LANGPO)
 
-# Chenge at the last moment (this package is part of web page)
-#RELEASE_STATE := testing
-RELEASE_STATE := stable
-
-ifndef TMPDIR
-TMPDIR	:= $(CURDIR)/tmp
+# Change at the last moment (this package is part of web page)
+# from testing -> stable just before stable release
+
+# Update release name when setting back RELEASE_STATE
+# from stable -> testing just after stable release
+
+RELEASE_STATE := testing
+#RELEASE_STATE := stable
+
+# TMP_DIR_DR is not mean to be set to generic TMPDIR like /tmp ~/.tmp
+ifndef TMP_DIR_DR
+TMP_DIR_DR	:= $(CURDIR)/tmp
 endif
 
 # Change $(DRAFTMODE) from "yes" to "maybe" when this document 
@@ -63,9 +69,10 @@
 ARCH	:=	amd64
 UDEBA	:=	$(DEBM)/$(CODE)
 UDEBB	:=	$(DEBM)/experimental
+DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)
 
 # cached data removed for package related to remotely fetched data
-RCACHE	:=      all-popcon-results.txt packages.txt packages.bkup.txt pkg.lst
+RCACHE	:=      all-popcon-results.txt all-popcon-submissions.txt all-popcon-pkgs.txt packages.txt packages.bkup.txt pkg.lst
 # AsciiDoc source file names in $(DASC) directories for local update
 ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
 		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
@@ -112,7 +119,7 @@
 # $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
 publish:
 	-mkdir -p $(PUBLISHDIR)/$(MANUAL)
-	$(MAKE) css html txt "TMPDIR=$(PUBLISHDIR)/$(MANUAL)"
+	$(MAKE) css html txt "TMP_DIR_DR=$(PUBLISHDIR)/$(MANUAL)"
 
 #######################################################################
 # $ make clean     # clean files ready for tar 
@@ -122,7 +129,7 @@
 	-rm -f *.swp *~ *.tmp
 	-rm -f $(DPO)/*~ $(DPO)/*.mo $(DPO)/*.po.*
 	-rm -f $(DASC)/*~
-	-rm -rf $(TMPDIR) $(CURDIR)/tmp
+	-rm -rf tmp debian/tmp $(PUBLISHDIR)/$(MANUAL)
 	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGALL)))
 	-rm -f $(MANUAL).en.xml $(MANUAL).en.xmlt header.txt
 	-rm -f $(RCACHE)
@@ -175,20 +182,23 @@
 	# Release for package match with actual situation
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  common.ent
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
+	echo "<!ENTITY dr-version \"$(DR_VERSION)\">"			>> common.ent
 ifeq ($(RELEASE_STATE),stable)
+	# Aim to prepare for the upcoming stable release from sid/unstable
+	echo "<!ENTITY codename-stable  \"buster\">"			>> common.ent
+	echo "<!ENTITY Codename-stable  \"Buster\">"			>> common.ent
+	echo "<!ENTITY codename-testing  \"bullseye\">"			>> common.ent
+	echo "<!ENTITY Codename-testing  \"Bullseye\">"			>> common.ent
+	echo "<!ENTITY codename-nexttesting  \"bullseye+1\">"		>> common.ent
+	echo "<!ENTITY Codename-nexttesting  \"Bullseye+1\">"		>> common.ent
+else
+	# Live with 2 year testing release from sid/unstable
 	echo "<!ENTITY codename-stable  \"stretch\">"			>> common.ent
 	echo "<!ENTITY Codename-stable  \"Stretch\">"                   >> common.ent
-	echo "<!ENTITY codename-testing  \"buster\">"		>> common.ent
-	echo "<!ENTITY Codename-testing  \"Buster\">"		>> common.ent
+	echo "<!ENTITY codename-testing  \"buster\">"			>> common.ent
+	echo "<!ENTITY Codename-testing  \"Buster\">"			>> common.ent
 	echo "<!ENTITY codename-nexttesting  \"bullseye\">"		>> common.ent
 	echo "<!ENTITY Codename-nexttesting  \"Bullseye\">"		>> common.ent
-else
-	echo "<!ENTITY codename-stable   \"jessie\">"			>> common.ent
-	echo "<!ENTITY Codename-stable   \"Jessie\">"                  >> common.ent
-	echo "<!ENTITY codename-testing  \"stretch\">"			>> common.ent
-	echo "<!ENTITY Codename-testing  \"Stretch\">"                   >> common.ent
-	echo "<!ENTITY codename-nexttesting  \"buster\">"		>> common.ent
-	echo "<!ENTITY Codename-nexttesting  \"Buster\">"		>> common.ent
 endif
 	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
 	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent
@@ -226,12 +236,13 @@
 	sort pkg.lst | uniq | $(DBIN)/sizeent packages.txt packages.bkup.txt	> pkgsize.ent
 	# POPCON
 	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
+	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt >all-popcon-submissions.txt
+	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt >all-popcon-pkgs.txt
 	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent
 	echo "<!ENTITY pop-submissions \"$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  popcon.ent
-	echo "<!ENTITY pop-architectures \"$$(grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">"			>> popcon.ent
-	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-results.txt | wc -l)\">"				>> popcon.ent
-	TOTAL=$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt) ;\
-	grep -e '^Package:' all-popcon-results.txt | grep -f pkg.lst | $(DBIN)/popconent $$TOTAL				>> popcon.ent
+	echo "<!ENTITY pop-architectures \"$$(grep --binary-files=text -e '^Architecture:' all-popcon-results.txt | wc -l)\">"	>> popcon.ent
+	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-pkgs.txt | wc -l)\">"				>> popcon.ent
+	grep -e '^Package:' all-popcon-pkgs.txt | grep -f pkg.lst | $(DBIN)/popconent `cat all-popcon-submissions.txt`	>> popcon.ent
 
 #######################################################################
 # $ make po        # update all PO from RAWXML
@@ -247,24 +258,3 @@
 	@$(call check-command, msgcat, gettext)
 	$(GETTEXT) -m $(MANUAL).en.xmlt | \
 sed -e 's,^"Content-Type: text/plain; charset=CHARSET\\n"$$,"Content-Type: text/plain; charset=UTF-8\\n",' |\
-	$(MSGCAT) --no-location -o $(DPO)/templates.pot.new -
-	if diff -I '^"POT-Creation-Date:' -q $(DPO)/templates.pot $(DPO)/templates.pot.new ; then \
-	  echo "Don't update templates.pot" ;\
-	  touch $(DPO)/templates.pot ;\
-	  rm -f $(DPO)/templates.pot.new ;\
-	else \
-	  echo "Update templates.pot" ;\
-	  mv -f $(DPO)/templates.pot.new $(DPO)/templates.pot ;\
-	fi
-	: > fuzzy.log
-
-# Always update
-$(DPO)/%.po: $(DPO)/templates.pot FORCE
-	@$(call check-command, msgmerge, gettext)
-	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
-	$(DBIN)/fuzzypo $(DPO)/$*.po >>fuzzy.log
-
-FORCE:
-
-#######################################################################
-# $ make wrap       # wrap all PO

=== debian/changelog ===
debian-reference (2.72) unstable; urgency=medium

  * Merge from weblate HEAD.
  * Embed version into the document and fix *.add.
  * Unfuzzy some strings (mostly ja)

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Mar 2018 21:22:28 +0900

debian-reference (2.71) unstable; urgency=medium

  * Update package list for buster.  Closes: #889988
  * Update init description to systemd. Closes: #892492
  * Alioth -> Salsa migration.
  * Promote Git over CVS and Subversion.
  * Skip PDF for zh-cn zh-tw.

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Mar 2018 00:56:53 +0900

debian-reference (2.70) unstable; urgency=medium

  [ Boyuan Yang ]
  * Do some proofreading; convert more links to HTTPS where applicable.
  * Update texts in chapter 2; document apt(8).
  * Minor updates on zh_CN translation.

  [ Osamu Aoki ]
  * Update build script behavior.  Closes: #876441
  * Document modern atime behavior.  Closes: #885083
  * Fix broken po/*.po files.

 -- Osamu Aoki <osamu@debian.org>  Wed, 10 Jan 2018 22:52:07 +0900

debian-reference (2.69) unstable; urgency=medium

  [ Osamu Aoki ]
  * Add pdf support to all languages.
  * Fix FTBFS and add debian-openlogo.png.  Closes: #871493
  * Add reminder for cross platform ZIP.  Closes: #859212
  * Add -de, -es to debian-reference.  Closes: #874719
  * Mention apt command.  Closes: #863548
  * Update the package list for backup tools.
  * Update to drop /etc/motd.tail.  Closes: #854832
  * Add East Asian ambiguous character width.  Closes: #863546
  * Fix tutorial contents.  Closes: #854386, #854835, #854839
  * Fix broken it.po.
  * Update translations.

  [ Boyuan Yang ]
  * Document both -dbg and -dbgsym packages.
  * Convert links to www.debian.org from http to https.
  * Bump Standards-Version to 4.1.0 (no changes needed)
  * Finish Simplified Chinese translation. (credit to Faris Xiao)

 -- Osamu Aoki <osamu@debian.org>  Tue, 19 Sep 2017 00:40:07 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 9.0)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
@@ -27,9 +27,9 @@
                      w3m,
                      xsltproc,
                      zip
-Standards-Version: 3.9.8
-Vcs-Git: https://alioth.debian.org/anonscm/git/ddp/debian-reference.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/debian-reference.git
+Vcs-Browser: https://salsa.debian.org/debian/debian-reference/
 Homepage: https://www.debian.org/doc/user-manuals#quick-reference
 
 Package: debian-reference-common
@@ -49,6 +49,8 @@
 Recommends: debian-reference-fr,
             debian-reference-it,
             debian-reference-ja,
+            debian-reference-es,
+            debian-reference-de,
             debian-reference-pt,
             debian-reference-zh-cn,
             debian-reference-zh-tw

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 ## ----------------------------------------------------------------------
 ## uncomment this to turn on verbose mode
 #export DH_VERBOSE=1
-## comment out to build with the cleaner log (it slows!)
-BUILDOPT:=	 --parallel
+## no-parallel to build with the cleaner log (it slows!)
+#BUILDOPT:=	 --parallel
+BUILDOPT:=	 --no-parallel
 
 ## ----------------------------------------------------------------------
 # Package building language choice
@@ -17,6 +18,9 @@
 MANUAL	:=	debian-reference
 LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
 LANGPO	:=	   ja fr it pt de zh-cn zh-tw es
+# languages to skip generation of PDF files (not used now)
+NOPDF	:=	zh-cn zh-tw
+#NOPDF	:=	
 
 ## ----------------------------------------------------------------------
 ## Targets
@@ -53,7 +57,11 @@
 	  sed  -e "s/@@/$$XX/" < all.install-in  >$(MANUAL)-$${XX}.install ; \
 	  sed  -e "s/@@/$$XX/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
 	done
-	dh_auto_build $(BUILDOPT) -- "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)" all
+	dh_auto_build $(BUILDOPT) -- \
+		"LANGALL=$(LANGALL)" \
+		"LANGPO=$(LANGPO)" \
+		"NOPDF=$(NOPDF)" \
+		all
 
 
 override_dh_compress:

## debian-reference 2.72+9.0trisquel2

=== debian/changelog ===
debian-reference (2.72+9.0trisquel2) etiona; urgency=medium

  * Remove references to non-free repos #5950

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 20:30:48 +0000

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     libopencc2-data,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libxml2-utils,
                     locales-all | locales,
                     opencc,
                     po4a,
                     python,
                     texlive-lang-chinese,
                     texlive-lang-english,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-japanese,
                     texlive-lang-portuguese,
                     texlive-lang-spanish,
                     texlive-xetex,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/debian/debian-reference.git
Vcs-Browser: https://salsa.debian.org/debian/debian-reference/
Homepage: https://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: calibre, mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: debian-reference-en, ${misc:Depends}
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.51), ${misc:Depends}
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
+LANGALL	:=	en zh-cn zh-tw es
 LANGPO	:=	   ja fr it pt de zh-cn zh-tw es
 # languages to skip generation of PDF files (not used now)
 NOPDF	:=	zh-cn zh-tw

## debian-reference 2.73

=== debian/changelog ===
debian-reference (2.73) unstable; urgency=medium

  * Adjust symlink for README.md.gz . Closes: #893479
  * Fix typo.  Closes: #897666
  * Adjust popcon graph URL to new location.
  * More robust package name substitution for versioned packages.
  * Update translations.

 -- Osamu Aoki <osamu@debian.org>  Mon, 02 Jul 2018 00:52:17 +0900
